module prm
  implicit none

 !-- $B6u4V2rA|EY$N@_Dj(B ----
  integer , parameter  :: im = 31                ! $B3J;RE@$N@_Dj(B(x)
  integer , parameter  :: km = 10                ! $B3J;RE@$N@_Dj(B(z)

  real(8)    , parameter  :: dx = 50.e3          ! 1 $B3J;RE@4V3V(B


 !-- $BJ*M}%Q%i%a!<%?(B ------
  real(8)    , parameter :: rho = 910.                   ! $BI9$NL)EY(B kg/m^{-3}
  real(8)    , parameter :: g = 9.80065                  ! $B=ENO2CB.EY(B m/s^{-2}
  real(8)    , parameter :: s_a = 60. * 60. * 24. * 365. ! second/year
   !-- $BCM$rJQ$($kM=Dj$N%Q%i%a!<%?(B 
  real(8)    , parameter :: n = 3.                       ! Flow law $B$N6R(B 
  real(8)    , parameter :: A = 1.e-16 / s_a             ! Flow law $B$N78?t(B
  real(8)    , parameter :: hmax = 3000.                 ! $B=i4|9bEY(B     


 !-- $B;~4V@QJ,%Q%i%a!<%?(B ---
  real(8)    , parameter     :: dt = s_a                 ! 1 $BG/(B
  integer    , parameter     :: nt = 2000               ! $B@QJ,;~4V(B
  integer    , parameter     :: ndisp = 1              ! $BI=<((B step
  integer    , parameter     :: nstep  =  nt/ndisp

end module prm

